import Node from "./node";

export default class NodeManager {
  /**
   * The nodes
   */
  private nodes: Node[];

  constructor() {
    const nodes = process.env.NODES;
    if (!nodes) {
      throw new Error("No nodes found in environment variable");
    }

    const nodeUrls = nodes.split(",");
    this.nodes = nodeUrls.map((url) => new Node({ url }));
  }

  /**
   * Get a random node
   *
   * @returns the node
   */
  getRandomNode() {
    const index = Math.floor(Math.random() * this.nodes.length);
    return this.nodes[index];
  }
}
